Skip to main content
Nowledge MemNowledge Mem

Ingest File

POST
/sources/ingest/file

Ingest a file into the library.

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Typed multipart body for POST /sources/ingest/file.

Response Body

application/json

application/json

curl -X POST "https://example.com/sources/ingest/file" \  -F file="string"
{  "is_duplicate": false,  "lifecycle_state": "string",  "message": "",  "original_name": "string",  "source_id": "string"}